function [ weights ] = findweights_GMV(file,n,name)
    if exist(file,'file')
        data      = cell2mat(struct2cell(load(file,name)));
        r         = data(:,2:end);
        rb        = data(:,1);
        r_excess  = r-rb;
        % The Sample Covariance Matrix
        S   = cov(r_excess);
        % Calculation of GMV-weights
        A   = -eye(n);
        b   = zeros(n,1);
        Aeq = ones(1,n);
        beq = 1;
        options = optimoptions('quadprog','Display','none');
        weights = quadprog(2*S,[],A,b,Aeq,beq,[],[],[],options);
    else
        weights(1:n) = 0;
    end
    weights(weights<0.00001) = 0;
end